% NSGToolbox - Core routines
%
%  Nicki Holighaus, 2011-2013.
%
%  Forward transforms
%    NSGT          -  Nonstationary Gabor transform
%    NSGT_REAL     -  Nonstationary Gabor transform for real signals
%    NSGTF         -  Nonstationary Gabor filterbank
%    NSGTF_REAL    -  Nonstationary Gabor filterbank for real signals
%
%  Inverse transforms
%    NSIGT          -  Nonstationary Gabor synthesis
%    NSIGT_REAL     -  Nonstationary Gabor synthesis for real signals
%    NSIGTF         -  Nonstationary Gabor filterbank synthesis
%    NSIGTF_REAL    -  Nonstationary Gabor filterbank synthesis for real signals
%
%  Painless reconstruction
%    NSDUAL         -  Canonical dual NSG frame (for painless systems)
%    NSTIGHT        -  Canonical tight NSG frame (for painless systems)
%  
%  For help, bug reports, suggestions etc. please send email to
%  nholighaus@kfs.oeaw.ac.at
%
%   Url: http://nsg.sourceforge.net/doc/core_routines/Contents.php

% Copyright (C) 2013 Nicki Holighaus.
% This file is part of NSGToolbox version 0.1.0
% 
% This work is licensed under the Creative Commons 
% Attribution-NonCommercial-ShareAlike 3.0 Unported 
% License. To view a copy of this license, visit 
% http://creativecommons.org/licenses/by-nc-sa/3.0/ 
% or send a letter to 
% Creative Commons, 444 Castro Street, Suite 900, 
% Mountain View, California, 94041, USA.

